# Pure Go UUID implementation

This package provides immutable UUID structs and the functions
NewV3, NewV4, NewV5 and Parse() for generating versions 3, 4
and 5 UUIDs as specified in [RFC 4122](http://www.ietf.org/rfc/rfc4122.txt).

## Installation

Use the `go` tool:

	$ go get github.com/nu7hatch/gouuid

## Usage

See [documentation and examples](http://godoc.org/github.com/nu7hatch/gouuid)
for more information.

## Copyright

Copyright (C) 2011 by Krzysztof Kowalik <chris@nu7hat.ch>. See [COPYING](https://github.com/nu7hatch/gouuid/tree/master/COPYING)
file for details.
